Bug 196230 - USB issue with Raidsonic ICY BOX IB-3640SU3
Summary: USB issue with Raidsonic ICY BOX IB-3640SU3
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: 10.1-RELEASE
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-usb (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-23 16:05 UTC by szalai.bandi
Modified: 2018-05-28 19:48 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description szalai.bandi 2014-12-23 16:05:26 UTC
Hi Guys,

I have a Raidsonic ICY BOX IB-3640SU3 external HDD rack, which is connected to the computer via USB 3.0. In the rack, there are two SATA HDDs, but only the first one recognized. Kernel log output (FreeBSD 10.1):

Dec 23 13:34:49 tristania kernel: ugen1.2: <vendor 0x152d> at usbus1
Dec 23 13:34:49 tristania kernel: umass0: <vendor 0x152d product 0x0539, class 0/0, rev 3.00/28.12, addr 1> on usbus1
Dec 23 13:34:54 tristania kernel: umass0: Get Max Lun not supported (USB_ERR_TIMEOUT)
Dec 23 13:34:59 tristania kernel: (probe0:umass-sim0:0:0:0): INQUIRY. CDB: 12 00 00 00 24 00
Dec 23 13:34:59 tristania kernel: (probe0:umass-sim0:0:0:0): CAM status: CCB request completed with an error
Dec 23 13:34:59 tristania kernel: (probe0:umass-sim0:0:0:0): Retrying command
Dec 23 13:34:59 tristania kernel: (probe0:umass-sim0:0:0:0): REPORT LUNS. CDB: a0 00 00 00 00 00 00 00 00 10 00 00
Dec 23 13:34:59 tristania kernel: (probe0:umass-sim0:0:0:0): CAM status: SCSI Status Error
Dec 23 13:34:59 tristania kernel: (probe0:umass-sim0:0:0:0): SCSI status: Check Condition
Dec 23 13:34:59 tristania kernel: (probe0:umass-sim0:0:0:0): SCSI sense: ILLEGAL REQUEST asc:20,0 (Invalid command operation code)
Dec 23 13:34:59 tristania kernel: (probe0:umass-sim0:0:0:0): Error 22, Unretryable error
Dec 23 13:34:59 tristania kernel: da0 at umass-sim0 bus 0 scbus7 target 0 lun 0
Dec 23 13:34:59 tristania kernel: da0: <WDC WD20 EARS-00MVWB0 0X0B> Fixed Direct Access SCSI-6 device
Dec 23 13:34:59 tristania kernel: da0: Serial Number
Dec 23 13:34:59 tristania kernel: da0: 400.000MB/s transfers
Dec 23 13:34:59 tristania kernel: da0: 1907729MB (3907029168 512 byte sectors: 255H 63S/T 243201C)
Dec 23 13:34:59 tristania kernel: da0: quirks=0xa<NO_6_BYTE,4K>

The second HDD is not recognized, because "Get Max Lun not supported (USB_ERR_TIMEOUT)" error.

However, with FreeBSD 9.1, the external rack worked without any issue:

Dec 12 09:23:25 tristania kernel: ugen1.2: <JMicron> at usbus1
Dec 12 09:23:25 tristania kernel: umass0: <JMicron USB to ATAATAPI Bridge, class 0/0, rev 3.00/28.12, addr 1> on usbus1
Dec 12 09:23:25 tristania kernel: (probe0:umass-sim0:0:0:0): REPORT LUNS. CDB: a0 0 0 0 0 0 0 0 0 10 0 0
Dec 12 09:23:25 tristania kernel: (probe0:umass-sim0:0:0:0): CAM status: SCSI Status Error
Dec 12 09:23:25 tristania kernel: (probe0:umass-sim0:0:0:0): SCSI status: Check Condition
Dec 12 09:23:25 tristania kernel: (probe0:umass-sim0:0:0:0): SCSI sense: ILLEGAL REQUEST asc:20,0 (Invalid command operation code)
Dec 12 09:23:25 tristania kernel: (probe0:umass-sim0:0:0:0): Error 22, Unretryable error
Dec 12 09:23:25 tristania kernel: da0 at umass-sim0 bus 0 scbus6 target 0 lun 0
Dec 12 09:23:25 tristania kernel: da0: <WDC WD20 EARS-00MVWB0 0X0B> Fixed Direct Access SCSI-6 device
Dec 12 09:23:25 tristania kernel: da0: 400.000MB/s transfers
Dec 12 09:23:25 tristania kernel: da0: 1907729MB (3907029168 512 byte sectors: 255H 63S/T 243201C)
Dec 12 09:23:25 tristania kernel: da1 at umass-sim0 bus 0 scbus6 target 0 lun 1
Dec 12 09:23:25 tristania kernel: da1: <WDC WD20 EARS-00MVWB0 0X0B> Fixed Direct Access SCSI-6 device
Dec 12 09:23:25 tristania kernel: da1: 400.000MB/s transfers
Dec 12 09:23:25 tristania kernel: da1: 1907729MB (3907029168 512 byte sectors: 255H 63S/T 243201C)
Comment 1 Hans Petter Selasky freebsd_committer 2015-03-02 09:12:37 UTC
Logs:
r278277: http://justpaste.it/twchan-fbsd-dmesg-ok
r278278: http://justpaste.it/twchan-fbsd-dmesg-nok
Comment 2 Hans Petter Selasky freebsd_committer 2015-03-02 09:14:56 UTC
Hi,

Does applying this patch:

https://svnweb.freebsd.org/changeset/base/278662

On top of:

r278278: http://justpaste.it/twchan-fbsd-dmesg-nok

Make any difference?

--HPS
Comment 3 Hans Petter Selasky freebsd_committer 2015-03-04 13:19:01 UTC
Hi,

I think the USB 3.0 controller you've got is of the same kind which was patched here:

https://svnweb.freebsd.org/changeset/base/279563

Can you also try the patch in r279563 ?

--HPS
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:48:31 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.